#ifndef CLOANDA_H_HEADER_INCLUDED_BE87698C
#define CLOANDA_H_HEADER_INCLUDED_BE87698C

// Standard data access class for Loan table
//##ModelId=4178A9D00052
class CLoanDA
{
  public:
    //##ModelId=4178C3F400A3
    CLoanDA();

    //##ModelId=4178C3F400AB
    CLoanDA(const CLoanDA& right);

    //##ModelId=4178C3F400B5
    virtual ~CLoanDA();
    // initial value getter
    //##ModelId=4178CFBC02C5
    CURRENCY getInitialValue();

  
    // loan ID getter
    //##ModelId=4178CE4603A0
    LONG getLoanID();

  
    // payment due date getter
    //##ModelId=4178CF59009B
    DATE getPaymentDueDate();

  
    // end date setter
    //##ModelId=4178CF3E02A4
    DATE getStartDate();

  
    // initial value setter
    //##ModelId=4178CFDD0042
    void setInitialValue(CURRENCY value);

  
    // loan ID setter
    //##ModelId=4178CE6702FD
    void setLoanID(LONG id);

  
    // set payment due date
    //##ModelId=4178CF780064
    void setPaymentDueDate(DATE dueDate);

  
    // start date setter
    //##ModelId=4178CE8B027D
    void setStartDate(DATE aDate);

  private:
    // initial value of loan
    //##ModelId=4178D13103A1
    CURRENCY initialValue;


    // loan ID
    //##ModelId=4178D14E008C
    LONG loanID;


    // monthly payment due date
    //##ModelId=4178D1600146
    DATE paymentDueDate;


    // date the loan originated
    //##ModelId=4178D17703CB
    DATE startDate;


};



#endif /* CLOANDA_H_HEADER_INCLUDED_BE87698C */
